Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229664 - X consumes 100% CPU under kernel-xen
Summary: X consumes 100% CPU under kernel-xen
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen
Version: 6
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 16:33 UTC by John T. Rose
Modified: 2009-12-14 20:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-26 23:56:40 UTC


Attachments (Terms of Use)
dmesg output (deleted)
2007-02-22 16:42 UTC, John T. Rose
no flags Details
xorg example configuration that fails with xen but works without xen (deleted)
2007-02-22 16:43 UTC, John T. Rose
no flags Details
Xorg logs when failing under the xen kernel (deleted)
2007-02-22 16:44 UTC, John T. Rose
no flags Details

Description John T. Rose 2007-02-22 16:33:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.9) Gecko/20061215 Red Hat/1.5.0.9-0.1.el4 Firefox/1.5.0.9

Description of problem:
After installing/configuring FC6 on a Dell PE2850, dual Xeon, Radeon RV100 QY [Radeon 7000/VE], things were all happy until I installed the xen kernel. Rebooting with the xen kernel results in X using 100% of the CPU, displaying nothing, and logging

(**) RADEON(0): Idle timed out: 64 entries, stat=0x80010140
(EE) RADEON(0): Idle timed out, resetting engine...
(**) RADEON(0): EngineRestore (32/32)

repeatedly. I've tried various xorg.conf settings without any luck. I'll attach some logs and configuration files.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.6.3-1.fc6 kernel-xen-2.6.19-1.2911.fc6

How reproducible:
Always


Steps to Reproduce:
1. Boot xen kernel
2. start X
3.

Actual Results:
See description above.

Expected Results:
X should be functional.

Additional info:

Comment 1 John T. Rose 2007-02-22 16:42:36 UTC
Created attachment 148593 [details]
dmesg output

Comment 2 John T. Rose 2007-02-22 16:43:50 UTC
Created attachment 148594 [details]
xorg example configuration that fails with xen but works without xen

Comment 3 John T. Rose 2007-02-22 16:44:35 UTC
Created attachment 148595 [details]
Xorg logs when failing under the xen kernel

Comment 5 Red Hat Bugzilla 2007-07-25 01:38:47 UTC
change QA contact

Comment 7 Chris Lalancette 2008-02-26 23:56:40 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.